## autoconvert autoconvert |

## Synopsis

    struct              GstAutoConvert;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBin
                               +----GstAutoConvert

## Implemented Interfaces

GstAutoConvert implements GstChildProxy.

## Properties

      "factories"                gpointer              : Read / Write
      "initial-identity"         gboolean              : Read / Write

## Description

The autoconvert element has one sink and one source pad. It will look for other elements that also have one sink and one source pad. It will then pick an element that matches the caps on both sides. If the caps change, it may change the selected element if the current one no longer matches the caps.

The list of element it will look into can be specified in the "factories" property, otherwise it will look at all available elements.

## Synopsis

### Element Information

plugin | autoconvert
author | Olivier Crete <olivier.crete@collabora.com>
class | Generic/Bin

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstAutoConvert

    struct GstAutoConvert;

## Property Details

### The `"factories"` property

      "factories"                gpointer              : Read / Write

GList of GstElementFactory objects to pick from (the element takes ownership of the list (NULL means it will go through all possible elements), can only be set once.

### The `"initial-identity"` property

      "initial-identity"         gboolean              : Read / Write

If true, then the identity element will be installed initially and used for event passing until the first data buffer arrives .

Default value: FALSE